Summary:	XDG user dirs
Name:		xdg-user-dirs
Version:	0.17
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
Url:		http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:	http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
# (tmb) fix for (mga#20882)
Source1:	xdg-user-dirs.desktop
# (fc) 0.8-2mdv use locale encoding on disk, not UTF-8
Patch0:		xdg-user-dirs-0.8-locale.patch
# (fc) 0.8-2mdv disable some default directories
Patch1:		xdg-user-dirs-0.11-mdv.patch
# (fc) 0.8-2mdv migrate old Mdk folders
Patch3:		xdg-user-dirs-0.13-mdkfolders.patch
# (fc) use fuzzy translations in order to get localized ~/Downloads folder
Patch5:		xdg-user-dirs-fdo-use-fuzzy.patch
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl

%description
xdg-user-dirs is a tool to help manage "well known" user directories
like the desktop folder and the music folder. It also handles
localization (i.e. translation) of the filenames.

%prep
%autosetup -p1

%build
%configure

%make_build

# Needed by patch5
cd po
touch *.po
make update-gmo

%install
%make_install

%find_lang %{name}

# See https://bugs.mageia.org/show_bug.cgi?id=22889
%if 0
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d/
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update << EOF
#!/bin/sh
if [ -x %{_bindir}/xdg-user-dirs-update ]; then
  %{_bindir}/xdg-user-dirs-update
fi
EOF
%endif

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/autostart

%files -f %{name}.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%if 0
%attr(755,root,root) %{_sysconfdir}/X11/xinit.d/xdg-user-dirs-update
%endif
%attr(644,root,root) %{_sysconfdir}/xdg/autostart/xdg-user-dirs.desktop
%{_bindir}/xdg-user-dir
%{_bindir}/xdg-user-dirs-update
%{_mandir}/man1/xdg-user-dir.1.*
%{_mandir}/man1/xdg-user-dirs-update.1.*
%{_mandir}/man5/user-dirs.conf.5.*
%{_mandir}/man5/user-dirs.defaults.5.*
%{_mandir}/man5/user-dirs.dirs.5.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.17-4.mga8
+ Revision: 1518612
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.17-3.mga7
+ Revision: 1301835
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 shlomif <shlomif> 0.17-2.mga7
+ Revision: 1218458
- fix MGA#22889

* Tue Apr 03 2018 shlomif <shlomif> 0.17-1.mga7
+ Revision: 1215077
- New version 0.17

* Sun Mar 11 2018 shlomif <shlomif> 0.16-1.mga7
+ Revision: 1208210
- New version 0.16

* Mon Jul 10 2017 tmb <tmb> 0.15-7.mga6
+ Revision: 1109614
- create default xdg user directories under Gnome Wayland (mga#20882)

* Mon Jan 16 2017 tarakbumba <tarakbumba> 0.15-6.mga6
+ Revision: 1081983
- use fuzzy translations in order to get localized ~/Downloads folder

* Fri Feb 05 2016 umeabot <umeabot> 0.15-5.mga6
+ Revision: 938417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15-4.mga5
+ Revision: 741119
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15-3.mga5
+ Revision: 690579
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 528973
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 luigiwalser <luigiwalser> 0.15-1.mga4
+ Revision: 448448
- 0.15
- add man pages

* Mon Jan 14 2013 umeabot <umeabot> 0.14-2.mga3
+ Revision: 386714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 ahmad <ahmad> 0.14-1.mga2
+ Revision: 111169
- Update to 0.14

* Tue Jan 11 2011 blino <blino> 0.13-1.mga1
+ Revision: 6391
- imported package xdg-user-dirs


* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2011.0
+ Revision: 578426
- new version
- rediff patch 3
- drop patch 5

* Fri Sep 03 2010 Götz Waschk <waschk@mandriva.org> 0.12-4mdv2011.0
+ Revision: 575627
- rebuild
- update patch 5 to fix all translations

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 0.12-2mdv2011.0
+ Revision: 575540
- fix russian translation (bug #54244)

* Mon Nov 23 2009 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2010.1
+ Revision: 469293
- new version
- drop patch 5

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 0.11-2mdv2010.0
+ Revision: 454544
- Patch5 (upstream): update po files

* Sat Sep 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11-1mdv2010.0
+ Revision: 449613
- Update to new version 0.11
- Rediff mdv patch

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.10-7mdv2009.1
+ Revision: 351211
- rebuild

* Fri Sep 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10-6mdv2009.0
+ Revision: 285917
- new license policy
- s,,%%{_buildroot}
- get rid of stupid redefines
- fix mixture of tabs and spaces
- spec file clean
- really apply the patch

  + Götz Waschk <waschk@mandriva.org>
    - really update patch 1

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 0.10-4mdv2009.0
+ Revision: 285600
- reenable templates (bug #43965)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.10-3mdv2009.0
+ Revision: 226026
- rebuild

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10-2mdv2008.1
+ Revision: 180882
- Patch4: handle HOME overriding pw_dir

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2008.1
+ Revision: 166142
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2008.0
+ Revision: 72503
- new version
- drop patch 2

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8-2mdv2008.0
+ Revision: 58255
- Patch0: use locale encoding on disk, not always UTF-8
- Patch1: disable some default directories (template, public sharing)
- Patch2 (CVS): fix crashes
- Patch3: migrate old Mdk folders to the new system (directory names preserved)

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2008.0
+ Revision: 32480
- new version
- fix URL

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2008.0
+ Revision: 18327
- start from xinit.d

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
+ Revision: 13559
- Import xdg-user-dirs



* Wed Apr 11 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
- initial package
